JaxbHibernateMapping.JaxbClass.JaxbDiscriminator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbHibernateMapping.JaxbClass.JaxbDiscriminator

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbHibernateMapping.JaxbClass.JaxbDiscriminator

Enclosing class:
  JaxbHibernateMapping.JaxbClass

    public static class JaxbHibernateMapping.JaxbClass.JaxbDiscriminator

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice minOccurs="0">
               <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
               <element name="formula" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
           </sequence>
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="force" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="formula" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="insert" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="length" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="not-null" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" default="string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected JaxbColumnElement` | `column`
`protected String` | `columnAttribute`
`protected Boolean` | `force`
`protected String` | `formula`
`protected String` | `formulaAttribute`
`protected Boolean` | `insert`
`protected String` | `length`
`protected Boolean` | `notNull`
`protected String` | `type`

Constructor Summary
`JaxbHibernateMapping.JaxbClass.JaxbDiscriminator()`

Method Summary
`JaxbColumnElement` | `getColumn()` Gets the value of the column property.
`String` | `getColumnAttribute()` Gets the value of the columnAttribute property.
`String` | `getFormula()` Gets the value of the formula property.
`String` | `getFormulaAttribute()` Gets the value of the formulaAttribute property.
`String` | `getLength()` Gets the value of the length property.
`String` | `getType()` Gets the value of the type property.
`boolean` | `isForce()` Gets the value of the force property.
`boolean` | `isInsert()` Gets the value of the insert property.
`boolean` | `isNotNull()` Gets the value of the notNull property.
`void` | `setColumn(JaxbColumnElement value)` Sets the value of the column property.
`void` | `setColumnAttribute(String value)` Sets the value of the columnAttribute property.
`void` | `setForce(Boolean value)` Sets the value of the force property.
`void` | `setFormula(String value)` Sets the value of the formula property.
`void` | `setFormulaAttribute(String value)` Sets the value of the formulaAttribute property.
`void` | `setInsert(Boolean value)` Sets the value of the insert property.
`void` | `setLength(String value)` Sets the value of the length property.
`void` | `setNotNull(Boolean value)` Sets the value of the notNull property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    protected JaxbColumnElement column

### formula

    protected String formula

### columnAttribute

    protected String columnAttribute

### force

    protected Boolean force

### formulaAttribute

    protected String formulaAttribute

### insert

    protected Boolean insert

### length

    protected String length

### notNull

    protected Boolean notNull

### type

    protected String type

Constructor Detail

### JaxbHibernateMapping.JaxbClass.JaxbDiscriminator

    public JaxbHibernateMapping.JaxbClass.JaxbDiscriminator()

Method Detail

### getColumn

    public JaxbColumnElement getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `JaxbColumnElement`

### setColumn

    public void setColumn(JaxbColumnElement value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `JaxbColumnElement`

### getFormula

    public String getFormula()

  Gets the value of the formula property.

  Returns:
    possible object is `String`

### setFormula

    public void setFormula(String value)

  Sets the value of the formula property.

  Parameters:
    `value` - allowed object is `String`

### getColumnAttribute

    public String getColumnAttribute()

  Gets the value of the columnAttribute property.

  Returns:
    possible object is `String`

### setColumnAttribute

    public void setColumnAttribute(String value)

  Sets the value of the columnAttribute property.

  Parameters:
    `value` - allowed object is `String`

### isForce

    public boolean isForce()

  Gets the value of the force property.

  Returns:
    possible object is `Boolean`

### setForce

    public void setForce(Boolean value)

  Sets the value of the force property.

  Parameters:
    `value` - allowed object is `Boolean`

### getFormulaAttribute

    public String getFormulaAttribute()

  Gets the value of the formulaAttribute property.

  Returns:
    possible object is `String`

### setFormulaAttribute

    public void setFormulaAttribute(String value)

  Sets the value of the formulaAttribute property.

  Parameters:
    `value` - allowed object is `String`

### isInsert

    public boolean isInsert()

  Gets the value of the insert property.

  Returns:
    possible object is `Boolean`

### setInsert

    public void setInsert(Boolean value)

  Sets the value of the insert property.

  Parameters:
    `value` - allowed object is `Boolean`

### getLength

    public String getLength()

  Gets the value of the length property.

  Returns:
    possible object is `String`

### setLength

    public void setLength(String value)

  Sets the value of the length property.

  Parameters:
    `value` - allowed object is `String`

### isNotNull

    public boolean isNotNull()

  Gets the value of the notNull property.

  Returns:
    possible object is `Boolean`

### setNotNull

    public void setNotNull(Boolean value)

  Sets the value of the notNull property.

  Parameters:
    `value` - allowed object is `Boolean`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.